Subject: [scim] Proposed resolution for externalID

From: Phil Hunt <[email-masked]>
Date: Wed, 1 Oct 2014 11:47:05 -0700

WG Members,

Morteza and I had a good talk on the phone on today’s informal WG call (we did not have quorum), I think we may have a good proposal on externalId for your consideration. It does not address everyone’s needs but it addresses the concerns about externalId within the scope of our charter which is provisioning.

Below is some modified text for the externalId attribute.

It keeps the definition the same, but makes clear who gets to assign the value (besides an arbitrary SCIM client).

Please see the text below, the changes are in UPPERCASE.

Proposed text for externalId:
> externalId
>       A String that is an identifier for the resource as defined by the PROVISIONING client.  The
>       "externalId" may simplify identification of the 
>       resource between PROVISIONING client and service provider by allowing 
>       clientS to use a filter to locate the resource with AN IDENTIFIER FROM THE PROVISIONING DOMAIN
>       , obviating the need to store a local mapping between
>       the PROVISIONING DOMAIN'S identifier of the resource and the identifier used by
>       the service provider.  Each resource MAY include a SINGLE non-empty
>       "externalId" value.  The value of the "externalId" attribute is
>       always issued by the PROVISONING client and MUST NOT be specified by the
>       service provider.  The service provider MUST always interpret the
>       externalId as scoped to the client's tenant.  While the server
>       does not enforce uniqueness, it is assumed that the value's
>       uniqueness is controlled by the client setting the value.  See
>       Section 9 for additional considerations regarding privacy.

If any one has any objections or amendments, please let the group know by the end of the week. 

I propose to post this change to the draft early next week.

Phil

@independentid
www.independentid.com
[email-masked]